Loading...
Searching...
No Matches
juce::universal_midi_packets::BytestreamToBytestreamHandler Struct Reference

`#include <juce_UMPBytestreamInputHandler.h>`

Inheritance diagram for juce::universal_midi_packets::BytestreamToBytestreamHandler:

## Classes

class | Factory

## Public Member Functions

| BytestreamToBytestreamHandler (MidiInput &i, MidiInputCallback &c)
void | reset () override
void | pushMidiData (const void *data, int bytes, double time) override

## Public Attributes

MidiInput & | input
MidiInputCallback & | callback
MidiDataConcatenator | concatenator

## Detailed Description

Parses a continuous bytestream and emits complete MidiMessages whenever a full message is received.

Definition at line 47 of file juce_UMPBytestreamInputHandler.h.

## Constructor & Destructor Documentation

## BytestreamToBytestreamHandler()

juce::universal_midi_packets::BytestreamToBytestreamHandler::BytestreamToBytestreamHandler | ( | MidiInput & | i,
|  | MidiInputCallback & | c )

inline

Definition at line 49 of file juce_UMPBytestreamInputHandler.h.

## Member Function Documentation

## pushMidiData()

void juce::universal_midi_packets::BytestreamToBytestreamHandler::pushMidiData | ( | const void * | data,
|  | int | bytes,
|  | double | time )

inline override virtual

Implements juce::universal_midi_packets::BytestreamInputHandler.

Definition at line 80 of file juce_UMPBytestreamInputHandler.h.

## reset()

void juce::universal_midi_packets::BytestreamToBytestreamHandler::reset | ( |  | ) |

inline override virtual

Implements juce::universal_midi_packets::BytestreamInputHandler.

Definition at line 78 of file juce_UMPBytestreamInputHandler.h.

## Member Data Documentation

## callback

MidiInputCallback& juce::universal_midi_packets::BytestreamToBytestreamHandler::callback

Definition at line 86 of file juce_UMPBytestreamInputHandler.h.

## concatenator

MidiDataConcatenator juce::universal_midi_packets::BytestreamToBytestreamHandler::concatenator

Definition at line 87 of file juce_UMPBytestreamInputHandler.h.

## input

MidiInput& juce::universal_midi_packets::BytestreamToBytestreamHandler::input

Definition at line 85 of file juce_UMPBytestreamInputHandler.h.

The documentation for this struct was generated from the following file:

- juce_UMPBytestreamInputHandler.h